//------------------------------------------------------------------------------
// PAGE NAVIGATION ELEMENTS
//------------------------------------------------------------------------------
@import "../../config";

$_sm-header-height: size(2);
$_md-header-height: size(2.5);

body {
    display: flex;
    flex-direction: column;
}

//------------------------------------------------------------------------------
// Footer and header navigation
.main-header, .main-footer {
    @include utilities('row items-center center');
    @include color('navigation');

    z-index: 1000;

    > * {
        @include utilities('pad-x1');
    }
    > a {
        @include utilities('margin-0');

        color: color('navigation-text');
        height: $_sm-header-height;
    }
}

.main-header {
    @include utilities('sticky pin-top');

    box-shadow: 0 0 6px 1px rgba(0, 0, 0, 0.35);
    height: $_sm-header-height;
    line-height: $_sm-header-height;
    order: -1;
    width: 100%;

    &__logo {
        flex: 1;
        vertical-align: middle;

        img {
            height: $_sm-header-height * 0.8;
            position: relative;
            top: $_sm-header-height * 0.1;
        }
    }
}

.main-footer {
    @include utilities('fixed pin-bottom flex-around');

    box-shadow: 0 0 6px 1px rgba(0, 0, 0, 0.35);
    width: 100%;

    > * {
        @include utilities('pad-y1');
    }
    &__link {
        @include utilities('col items-center uppercase text-8 bold');
        img {
            width: 1.75rem;
        }
    }
}

// Reorganize using media queries
@include breakpoint('sm') {
    .main-header, .main-footer {
        height: $_md-header-height;
        line-height: 4rem;
        top: 0;

        @include breakpoint('md') {
            > * {
                padding: 0 size(0.5);
            }
        }
    }
    .main-header {
        align-items: center;
        justify-content: flex-start;

        a {
            text-align: left;
            line-height: $_md-header-height;
        }
        img {
            height: $_md-header-height * 0.8;
            left: size(1.5);
            position: absolute;
            top: $_md-header-height * 0.1;
        }
        a:nth-child(1), a:nth-child(3) {
            display: none;
        }
    }

    .main-footer {
        bottom: initial;
        box-shadow: none;
        justify-content: flex-end;
        margin-right: 1rem;
        right: 0;
        width: initial;
        z-index: 1001;

        &__link {
            flex-flow: row;
            font-size: 0.875rem;

            img {
                display: none;
            }
            span {
                height: $_md-header-height;
                border-bottom: 0 solid transparent;
            }
            span:hover {
                border-bottom: 8px solid #{color('black')};
            }
        }
    }
}

//------------------------------------------------------------------------------
// Sidebar / menu

.page-menu {
    @include utilities('rounded-2');

    background-color: color('white');
    box-shadow: 0 0 8px 1px rgba(0, 0, 0, 0.12);
    overflow: hidden auto;

    &[is-menu] {
        @include utilities('size-x6');

        display: none;
    }
    &[is-menu][is-open] {
        @include utilities('size-x6');

        display: block;
        position: fixed;
        right: 0;
        z-index: 1002;
    }
    nav {
        @include utilities('pad-2');

        border-bottom: 1px solid color('brand');
        h1, h2, h3 {
            display: none;
        }
        ul:first-child {
            @include utilities('pad-t2');
        }
        ul {
            @include utilities('list-reset');
        }
        li {
            @include utilities('margin-y1');
        }
    }
    nav:first-child {
        a {
            @include utilities('bold');
        }
    }
    nav:last-child {
        border-bottom: none;
    }
}

@include breakpoint('sm') {
    .page-menu {
        background-color: rgba(0, 0, 0, 0.008);
        border-radius: 0;
        box-shadow: 0 0 2px 1px rgba(0, 0, 0, 0.12);
        flex: 1;
        min-height: calc(100vh - 3rem);
        min-width: size(7);
        max-width: size(11);

        &, &[is-menu], &[is-menu][is-open] {
            display: block;
            position: relative;
            width: 20%;
            z-index: 0;
        }
        nav {
            border: none;
            padding-top: 0;

            h1, h2, h3 {
                display: block;
                font-size: 0.875rem;
                margin-top: 0;
                margin-left: -(size(0.5));
                margin-right: -(size(0.5));
                opacity: 0.5;
                padding: size(0.25) size(0.5);
            }
        }
        nav::after {
            background: rgba(0, 0, 0, 0.12);
            display: block;
            content: ' ';
            height: 1px;
            margin: size(0.5) auto 0 auto;
            width: 75%;
        }
        nav:last-child::after {
            content: none;
        }
    }

    #page-wrapper {
        display: flex;
        align-items: stretch;
    }

    #page-wrapper > *:first-child {
        flex: 1;
    }

    .page-menu + * {
        flex: 5;
    }
}


#first-link {
    @extend .screen-reader;
    tab-index: 0;

    :focus {
        background: 0;
        bottom: size(0.5);
        padding: size(0.25);
        position: fixed;
        text-align: center;
        z-index: 1002;
    }
}


#docs {
    width: 100%;
    height: 100vh;
    display: contents;

iframe {
        height: 100vh;
        width: 100%;
    }
}

@media (min-width: 560px) {
#docs {
    iframe {
            height: 100vh;
            width: 100%;
        }
    }
}

